class PlaceMarker {
  
  color col;
  String name;
  float lat;
  float lng;

  PlaceMarker(String name, float lat, float lng, color col) {
    this.name = name;
    this.lat = lat;
    this.lng = lng;
    this.col = col;
  }

  void display() {
    // Equirectangular projection
    float x = map(lng, -24.37, 36.5, 35, 935); 
    float y = map(lat, 72, 35.3, 119, 649);
    
    noStroke();
    fill(col);
    ellipse(x, y, 5, 5);
  }

  String toString() {
    return name + "(" + lat + ", " + lng + ")";
  }

}

