import processing.xml.*;

ArrayList placeMarkers = new ArrayList();
ArrayList placeMarkers2 = new ArrayList();
ArrayList placeMarkers3 = new ArrayList();

PImage EuropA;
PImage backGround;

void setup(){

  smooth();
  size(1280, 768);
  EuropA = loadImage("screen1.png");
  backGround = loadImage ("backGround.png");
  // background (61,61,63);
  europeanCountries();
  Clock();



  // Load RSS feed
  ///////REAL TIME version
  String url = "http://search.twitter.com/search.atom?q=breakfast&geocode=53.540307,10.107422,2500km&rpp=100"; 
  String url2 = "http://search.twitter.com/search.atom?q=lunch&geocode=53.540307,10.107422,2500km&rpp=100";
  String url3 = "http://search.twitter.com/search.atom?q=dinner&geocode=53.540307,10.107422,2500km&rpp=100";

///////XML file version_same hour
//////tweets collected on 14-15/10/2010 from 5pm to 7pm  

/* String url= "out-breakfast-20101015-130000.xml"; ////////visualizing same hour h1pm
  String url2= "out-lunch-20101015-130000.xml";
  String url3= "out-dinner-20101015-130000.xml";*/

///////XML file version_different hours  
///////tweets collected on 14-15/10/2010 from 5pm to 7pm 
  
  /* String url= "out-breakfast-20101015-105500.xml"; //////visualizing different hours  h10-9am
  String url2= "out-lunch-20101014-190200.xml"; h5pm
  String url3= "out-dinner-20101014-210001.xml";*/ //h9-10pm


  XMLElement rss = new XMLElement(this, url);
  XMLElement rss2 = new XMLElement(this, url2);
  XMLElement rss3 = new XMLElement(this, url3);

  // Get title of each element
  XMLElement[] entryXMLElements = rss.getChildren("entry"); 
  XMLElement[] entryXMLElements2 = rss2.getChildren("entry"); 
  XMLElement[] entryXMLElements3 = rss3.getChildren("entry"); 
  println("We found " + entryXMLElements.length);

  //Breakfast
  placeMarkers = readMarkersFromXML(entryXMLElements, "breakfast", color (139,209,240));
  placeMarkers2 =  readMarkersFromXML(entryXMLElements2, "lunch", color (255,236,0));
  placeMarkers3 = readMarkersFromXML(entryXMLElements3, "dinner", color (212,40,68));

  numberTweets_Breakfast = placeMarkers.size();
  numberTweets_Lunch = placeMarkers2.size();
  numberTweets_Dinner = placeMarkers3.size();

}

void draw() {
  image(EuropA, 0, 0);
  //image (backGround, 0, 0);
  drawEurope();

  drawClock();
  //background (61,61,63);


  for (int i = 0; i < placeMarkers.size(); i++) {
    PlaceMarker pm = (PlaceMarker) placeMarkers.get(i);
    pm.display();
  }

  for (int i = 0; i < placeMarkers2.size(); i++) {
    PlaceMarker pm = (PlaceMarker) placeMarkers2.get(i);
    pm.display();
  }

  for (int i = 0; i < placeMarkers3.size(); i++) {
    PlaceMarker pm = (PlaceMarker) placeMarkers3.get(i);
    pm.display();
  }

  Blob();



}

ArrayList readMarkersFromXML(XMLElement[] entryXMLElements, String meal, color col) {

  ArrayList markers = new ArrayList();

  for (int i = 0; i < entryXMLElements.length; i++) { 
    String title = entryXMLElements[i].getChild("title").getContent();
    String geoLocation = entryXMLElements[i].getChild("google:location").getContent();
    try {
      String[] locs = geoLocation.split(", "); 
      if (locs.length == 2) {
        float lat = new Float(locs[0]);
        float lng = new Float(locs[1]);
        println(meal + "  lat=" + lat + ", lng=" + lng + ", tweet=" +title);

        PlaceMarker marker = new PlaceMarker(title, lat, lng, col);
        markers.add(marker);
      }
    }
    catch (NumberFormatException e) {
      println(meal + " Tweet not used, as location is: " + geoLocation);
    }
  }

  return markers;
}






























